# Return domain's forwarders

This function lists a domain's forwarders.

Important:

  When you disable the Receive Mail role, the system disables this function.

Endpoint: GET /Email/list_forwarders
Version: 11.136.0.13
Security: BasicAuth

## Query parameters:

  - `domain` (string, required)
    The domain.
    Example: "example.com"

  - `regex` (string)
    A Perl Compatible Regular Expression (PCRE) that filters the results. If you do not use this parameter, the function returns results for all of the account's filters.
    Example: "user"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "list_forwarders"

  - `module` (string)
    The name of the module called.
    Example: "Email"

  - `result` (object)

  - `result.data` (array)

  - `result.data.dest` (string)
    The forwarded address.
    Example: "forwarded@example.com"

  - `result.data.forward` (string)
    The forwarded mail's destination.
    Example: "user@example.com"

  - `result.data.html_dest` (string)
    The forwarded address in an HTML-compatible format.
    Example: "forwarded@example.com"

  - `result.data.html_forward` (string)
    The forwarded mail's destination in an HTML-compatible format.
    Example: "user@example.com"

  - `result.data.uri_dest` (string)
    The forwarded address in a URI-encoded format.
    Example: "forwarded%40example.com"

  - `result.data.uri_forward` (string)
    The forwarded mail's destination in a URI-encoded format.
    Example: "user%40example.com"

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.metadata.transformed` (integer)
    Post-processing may have transformed the data.
    Enum: 1

  - `result.status` (integer)
    * 1 - Success.
* 0 - Failed. Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


